{%extends 'base.html'%}

{%block pagination%}
<div class="pagination">
  <span class="step-links">
    {% if page_obj.has_previous %}
      <a href="?page=1">&laquo; first</a>
      <a href="?page={{ page_obj.previous_page_number }}">previous</a>
    {% endif %}

    <span class="current">
      Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
    </span>

    {% if page_obj.has_next %}
      <a href="?page={{ page_obj.next_page_number }}">next</a>
      <a href="?page={{ page_obj.paginator.num_pages }}">last &raquo;</a>
    {% endif %}
  </span>
</div>
{%endblock pagination%}
  
{%block content%}
<main class="recipe-grid">
  {% for recipe in recipe_list %}
    <div class="recipe-card">
      <h2 class="recipe-card-title">
        <a href="{% url 'recipe_detail' recipe.pk %}">{{ recipe.name }}</a>
      </h2>
      <p class="recipe-card-date">{{ recipe.updated }}</p>
    </div>
  {% endfor %}
</main>
{%endblock content%}